c64vic Class Reference

`#include <c64vic.h>`

Inheritance diagram for c64vic:

## Public Member Functions

| c64vic (c64env *env)
void | poke (uint_least16_t address, uint8_t value)
uint8_t | peek (uint_least16_t address)
Public Member Functions inherited from MOS656X
void | event ()
void | chip (model_t model)
void | lightpen ()
void | reset ()
const char * | credits () const
int | getCyclesPerLine () const
int | getRasterLines () const

## Protected Member Functions

void | interrupt (bool state)
void | setBA (bool state)
Protected Member Functions inherited from MOS656X
| MOS656X (EventContext *context)
uint8_t | read (uint_least8_t addr)
void | write (uint_least8_t addr, uint8_t data)

## Additional Inherited Members

Public Types inherited from MOS656X
enum | model_t { MOS6567R56A = 0, MOS6567R8, MOS6569, MOS6572 }
Protected Attributes inherited from MOS656X
event_clock_t(MOS656X::* | clock )()
event_clock_t | rasterClk
EventContext & | event_context
unsigned int | cyclesPerLine
unsigned int | maxRasters
unsigned int | lineCycle
unsigned int | rasterY
unsigned int | yscroll
uint16_t | raster_irq
bool | areBadLinesEnabled
bool | isBadLine
bool | vblanking
bool | lp_triggered
uint8_t | irqFlags
uint8_t | irqMask
uint8_t | lpx
uint8_t | lpy
uint8_t | regs [0x40]
uint8_t & | sprite_enable
uint8_t & | sprite_y_expansion
uint8_t | sprite_dma
uint8_t | sprite_mc_base [8]
uint8_t | sprite_mc [8]
Static Protected Attributes inherited from MOS656X
static const unsigned int | FIRST_DMA_LINE = 0x30
static const unsigned int | LAST_DMA_LINE = 0xf7

## Detailed Description

VIC-II located at $D000-$D3FF

## Member Function Documentation

uint8_t c64vic::peek | ( | uint_least16_t | address | ) |

inline virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements Bank.

void c64vic::poke | ( | uint_least16_t | address,
|  | uint8_t | value
| ) |  |

inline virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implements Bank.

The documentation for this class was generated from the following file:

- c64vic.h